Bug 144491 - acpid doesn't execute action
Summary: acpid doesn't execute action
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-07 17:39 UTC by Jan Röhrich
Modified: 2014-03-17 02:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-08 01:44:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Röhrich 2005-01-07 17:39:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I added a rule for telling the XServer switching off display when I
close my laptop's display by the following script in /etc/acpi/events:

event=button/lid.*
action=/usr/X11R6/bin/xset dpms force off

This doesn't work even if I tell the Xserver to listen on port 6000
and set 'xhost +localhost'. 

But it works while having a running acpid in foreground by using
'acpid -d' - even on ttyX. So I think this must be something with this
'daemon()' function in /etc/init.d/functions.



Version-Release number of selected component (if applicable):
1.0.3-2

How reproducible:
Always

Steps to Reproduce:
1. Add event=button/lid.* \ action=/usr/X11R6/bin/xset dpms force off
to /etc/acpi/events/display.conf
2. xhost +localhost
3. service acpid restart
4. close and reopen display 

Actual Results:  -> nothing happens while other acpi events are
processed regularly

Expected Results:  -> display should be switched off

Comment 1 Bill Nottingham 2005-01-07 17:45:02 UTC
Your script has no idea what your display is, as far as I can read it.

Comment 2 Jan Röhrich 2005-01-08 01:44:48 UTC
Excuse me, I first should switch on my brain :-(


Note You need to log in before you can comment on or make changes to this bug.